/*
 * Stonage: a puzzle game
 * Copyright (C) 2001 Luc Saillard <luc@saillard.org>
 * 
 * Header file to image library
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef __IMAGE_H
#define __IMAGE_H

#include <SDL.h>
#include "level.h"
#include "list.h"

SDL_Surface *Image_Load(const char *filename, int convert2screenformat);
void Image_Free(SDL_Surface *img);
SDL_Surface *Image_Load_Random(const char *directory);
SDL_Surface *Image_ThemeLoad(const char *theme, const char *filename);
SDL_Surface *Image_Timebar(int width);
List *Image_Create_Kinesist(int width, int n, int type);
void Image_Fade(SDL_Surface *s, SDL_Rect *rect);
void Background_Fade(SDL_Surface *s, struct t_level *l);

#endif

